Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707242 - net-analyzer/webfuzzer-0.2.0-r1 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/webfuzzer-0.2.0-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 18:11 UTC by Toralf Förster
Modified: 2020-01-30 14:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.25 KB, text/plain)
2020-01-29 18:11 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,127.23 KB, text/plain)
2020-01-29 18:11 UTC, Toralf Förster
Details
environment (environment,73.01 KB, text/plain)
2020-01-29 18:11 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.99 KB, application/x-bzip)
2020-01-29 18:11 UTC, Toralf Förster
Details
net-analyzer:webfuzzer-0.2.0-r1:20200129-130657.log (net-analyzer:webfuzzer-0.2.0-r1:20200129-130657.log,48.64 KB, text/plain)
2020-01-29 18:11 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,21.13 KB, application/x-bzip)
2020-01-29 18:12 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 18:11:42 UTC
      |     ^~
main.c:327:5: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the ‘if’
  327 |     {
      |     ^
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: getpost.o:(.bss+0x0): multiple definition of `HTcookies'; /var/tmp/portage/net-analyzer/webfuzzer-0.2.0-r1/temp/cczLq3vy.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: getpost.o:(.bss+0x340): multiple definition of `HTtools'; /var/tmp/portage/net-analyzer/webfuzzer-0.2.0-r1/temp/cczLq3vy.o:(.bss+0x340): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 11:46:22 +0000

emerge -qpvO net-analyzer/webfuzzer
[ebuild  N    ] net-analyzer/webfuzzer-0.2.0-r1
Comment 1 Toralf Förster gentoo-dev 2020-01-29 18:11:45 UTC
Created attachment 608138 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 18:11:48 UTC
Created attachment 608140 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 18:11:51 UTC
Created attachment 608142 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 18:11:54 UTC
Created attachment 608144 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 18:11:57 UTC
Created attachment 608146 [details]
net-analyzer:webfuzzer-0.2.0-r1:20200129-130657.log
Comment 6 Toralf Förster gentoo-dev 2020-01-29 18:12:00 UTC
Created attachment 608148 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-01-30 14:27:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a92a0618f69b79728649c1a64a7ee40dc05c665f

commit a92a0618f69b79728649c1a64a7ee40dc05c665f
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-30 14:27:05 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-30 14:27:46 +0000

    net-analyzer/webfuzzer: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707242
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../webfuzzer/files/webfuzzer-0.2.0-flags.patch    | 24 ++++++++++++++
 .../files/webfuzzer-0.2.0-fno-common.patch         | 37 ++++++++++++++++++++++
 net-analyzer/webfuzzer/webfuzzer-0.2.0-r2.ebuild   | 28 ++++++++++++++++
 3 files changed, 89 insertions(+)